Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model
Interface RegionBinding

public interface RegionBinding

A map that provides a name-space to locate binding objects through which data is accessed on a view region.

Field Summary
`static int` | `EXECUTE_MODEL`
`static int` | `PREPARE_MODEL`
`static int` | `REFRESH_UNKNOWN`
`static int` | `RENDER_MODEL`
`static int` | `TYPE_EXECUTABLE_REGION`

Method Summary
`java.lang.Object` | `getActionProcessor()` Returns an instance of java bean that may implement event-handling for actions defined on this RegionBinding.
`int` | `getExecutableType()` Returns one of an enumeration of Executable binding types in the framework.
`java.util.List` | `getRegionBindings()` Return a list of all nested RegionBindings contained by this RegionBinding.
`RegionController` | `getRegionController()` Returns an instance of RegionController that should handle the lifecycle for this RegionBinding.
`boolean` | `isViewable()` Consults security to return whether this region binding should be visible in the current context or not.
`void` | `refresh(int flag)` Refresh data for this regionBinding based on the given flag.

Field Detail

### TYPE_EXECUTABLE_REGION

    public static final int TYPE_EXECUTABLE_REGION

  See Also:
    Constant Field Values

### REFRESH_UNKNOWN

    public static final int REFRESH_UNKNOWN

  See Also:
    Constant Field Values

### EXECUTE_MODEL

    public static final int EXECUTE_MODEL

  See Also:
    Constant Field Values

### PREPARE_MODEL

    public static final int PREPARE_MODEL

  See Also:
    Constant Field Values

### RENDER_MODEL

    public static final int RENDER_MODEL

  See Also:
    Constant Field Values

Method Detail

### getRegionBindings

    public java.util.List getRegionBindings()

  Return a list of all nested RegionBindings contained by this RegionBinding.

### getExecutableType

    public int getExecutableType()

  Returns one of an enumeration of Executable binding types in the framework.

  int value of 0 is reserved for RegionBinding or BindingContainer type.

### getRegionController

    public RegionController getRegionController()

  Returns an instance of RegionController that should handle the lifecycle for this RegionBinding.

  By default this will return null. For Regions that have an overridden RegionController defined in the Region definition this will return an instance of the RegionController implementation.

  This RegionBinding controller is invoked when this RegionBinding needs to refresh or validate it's contained RegionBindings.

### getActionProcessor

    public java.lang.Object getActionProcessor()

  Returns an instance of java bean that may implement event-handling for actions defined on this RegionBinding.

  A controller should delegate to this event processor for handling action events for those actions that have a corresponding method. Otherwise controller should invoke the ActionBinding directly.

### refresh

    public void refresh(int flag)

  Refresh data for this regionBinding based on the given flag.

### isViewable

    public boolean isViewable()

  Consults security to return whether this region binding should be visible in the current context or not. It is expected that view technologies will consult this flag before processing region's model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.